Red Hat Security Advisory: libssh2 security update
Advisory ID:       SLSA-2023:5615
Issue Date:        2023-10-10
CVE Numbers:       CVE-2020-22218
--

The libssh2 packages provide a library that implements the SSH2 protocol.

Security Fix(es):

* libssh2: use-of-uninitialized-value in _libssh2_transport_read (CVE-2020-22218)

---
This content is derived from https://access.redhat.com/errata/RHSA-2023:5615
--

SL7
  srpm
    libssh2-0:1.8.0-4.el7_9.1.src
  i386
    libssh2-0:1.8.0-4.el7_9.1.i686
  x86_64
    libssh2-0:1.8.0-4.el7_9.1.x86_64
  noarch
    libssh2-docs-0:1.8.0-4.el7_9.1.noarch

- Scientific Linux Development Team


SciLinux: Moderate: libssh2 on SL7 i386/srpm/x86_64

libssh2: use-of-uninitialized-value in _libssh2_transport_read (CVE-2020-22218) --- This content is derived from https://access.redhat.com/errata/RHSA-2 023:5615 SL7 srpm libssh2-...

Summary

Red Hat Security Advisory: libssh2 security update



Security Fixes

* libssh2: use-of-uninitialized-value in _libssh2_transport_read (CVE-2020-22218)
This content is derived from https://access.redhat.com/errata/RHSA-2023:5615
SL7 srpm libssh2-0:1.8.0-4.el7_9.1.src i386 libssh2-0:1.8.0-4.el7_9.1.i686 x86_64 libssh2-0:1.8.0-4.el7_9.1.x86_64 noarch libssh2-docs-0:1.8.0-4.el7_9.1.noarch
- Scientific Linux Development Team

Severity
Issued Date: : 2023-10-10
CVE Numbers: CVE-2020-22218
The libssh2 packages provide a library that implements the SSH2 protocol.

Related News

News

Powered By

Footer Logo

Linux Security - Your source for Top Linux News, Advisories, HowTo's and Feature Release.

Powered By

Footer Logo